import java.io.*;
import java.util.*;

public class warGen {

	PrintWriter out;
	BufferedReader br;
	StringTokenizer st;

	String nextToken() throws IOException {
		while ((st == null) || (!st.hasMoreTokens()))
			st = new StringTokenizer(br.readLine());
		return st.nextToken();
	}

	public int nextInt() throws IOException {
		return Integer.parseInt(nextToken());
	}

	public long nextLong() throws IOException {
		return Long.parseLong(nextToken());
	}

	public double nextDouble() throws IOException {
		return Double.parseDouble(nextToken());
	}

	public void solve() throws IOException {
		Random rnd = new Random();
		int n = rnd.nextInt(100) + 1;
		out.println(n);
		for (int i = 0; i < n; i++) {
			out.print(1 + rnd.nextInt(5));
			if (i < n - 1)
				out.print(' ');
			else
				out.println();
		}
	}

	public void run() {
		try {
			br = new BufferedReader(new InputStreamReader(System.in));
			out = new PrintWriter(System.out);

	//		br = new BufferedReader(new FileReader("warGen.in"));
			out = new PrintWriter("war.in");

			solve();

			out.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	public static void main(String[] args) {
		new warGen().run();
	}
}
